Bug 109099 - pipe error 0x00000080 not handled
Summary: pipe error 0x00000080 not handled
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-19 11:58 UTC by olaf
Modified: 2019-07-19 10:10 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: display/Other


Attachments
dmesg-4.12.14-lp150.12.28-default.txt (5.68 MB, text/plain)
2018-12-19 11:58 UTC, olaf
no flags Details
lspci-4.12.14-lp150.12.28-default.txt (7.90 KB, text/plain)
2018-12-19 11:58 UTC, olaf
no flags Details
xl-dmesg-4.12.14-lp150.12.28-default.txt (14.52 KB, text/plain)
2018-12-19 11:59 UTC, olaf
no flags Details
xl-dmesg-4.20.0-1.gba5c149-vanilla.txt (14.54 KB, text/plain)
2018-12-25 18:53 UTC, olaf
no flags Details
dmesg-4.20.0-1.gba5c149-vanilla.txt (2.90 MB, text/plain)
2018-12-25 18:54 UTC, olaf
no flags Details
dmesg-4.20.0-1.gba5c149-vanilla.txt (2.15 MB, text/plain)
2018-12-31 11:46 UTC, olaf
no flags Details
dmesg-5.0.321-bko109099-drm-tip.txt.xz (227.86 KB, application/x-xz)
2019-02-28 15:51 UTC, olaf
no flags Details
dmesg-5.0.321-bko109099-drm-tip.txt.xz (72.41 KB, application/x-xz)
2019-03-01 07:55 UTC, olaf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description olaf 2018-12-19 11:58:10 UTC
Created attachment 142851 [details]
dmesg-4.12.14-lp150.12.28-default.txt

Dell Latitude E7470, "Skylake GT2 [HD Graphics 520]".

With kernels later than linux-4.4 (have not checked when it started), dmesg is flooded with messages like this:

[drm:gen8_irq_handler [i915]] *ERROR* Fault errors on pipe A: 0x00000080

# dmesg | grep -cw 0x00000080
67621


This happens when the system is booted as Xen dom0. IMO everything is working fine, no issues to report beside the flooding of syslog. The used desktop environment makes no difference, nor makes the used version of SLE or Leap or Tumbleweed any difference.



The actual things I want to see fixed are:

What is bit (1 << 3)? There is no constant defined for this issue.

Why do DRM_ERROR() and related helpers not use printk_ratelimited()?
The use can not do anything about the issue anyway, other than reporting it, so a single message would be fine.

And if you feel like it: what needs to be done to get this driver fixed for a Xen dom0?
Comment 1 olaf 2018-12-19 11:58:43 UTC
Created attachment 142852 [details]
lspci-4.12.14-lp150.12.28-default.txt
Comment 2 olaf 2018-12-19 11:59:05 UTC
Created attachment 142853 [details]
xl-dmesg-4.12.14-lp150.12.28-default.txt
Comment 3 olaf 2018-12-19 12:43:49 UTC
It is actually gen#9, I thouhht it is gen#8:
/sys/kernel/debug/dri/0/i915_capabilities
gen: 9
platform: SKYLAKE
pch: 4
...

It seems GEN9_PIPE_PLANE1_FLIP_DONE is set. If that is the case, what does that mean?
Comment 4 Lakshmi 2018-12-20 05:47:12 UTC
Reporter, Can you reproduce the issue using drm-tip (https://cgit.freedesktop.org/drm-tip).
If problem exists with latest drm-tip, set kernel parameters drm.debug=0x1e log_buf_len=4M and reboot.

Latest kernel is 4.20.
Comment 5 olaf 2018-12-25 18:53:27 UTC
Created attachment 142894 [details]
xl-dmesg-4.20.0-1.gba5c149-vanilla.txt
Comment 6 olaf 2018-12-25 18:54:35 UTC
Created attachment 142895 [details]
dmesg-4.20.0-1.gba5c149-vanilla.txt

not drm-tip.git, but close enough. With "log_buf_len=128M drm.debug=0x1e"
Comment 7 olaf 2018-12-31 11:46:50 UTC
Created attachment 142923 [details]
dmesg-4.20.0-1.gba5c149-vanilla.txt

same kernel, non-dom0
Comment 8 Lakshmi 2019-02-13 11:22:46 UTC
(In reply to olaf from comment #7)
> Created attachment 142923 [details]
> dmesg-4.20.0-1.gba5c149-vanilla.txt
> 
> same kernel, non-dom0

Sorry for the delay, It would good to check if this error still appears on latest drmtip (https://cgit.freedesktop.org/drm-tip)..
Comment 9 olaf 2019-02-28 15:51:17 UTC
Created attachment 143495 [details]
dmesg-5.0.321-bko109099-drm-tip.txt.xz

Was any work done to address the issue?

drm-tip: 2019y-02m-28d-09h-34m-58s
Comment 10 Lakshmi 2019-02-28 16:06:32 UTC
> Was any work done to address the issue?
Not that I am aware of. Anyway thanks for sending the latest dmesg, this might help in investigating the issue.
Comment 11 Ville Syrjala 2019-02-28 18:30:28 UTC
I don't see anything about vt-d in the boot log, but I'm tempted to blame it anyway.

You could try something like this:

diff --git a/drivers/gpu/drm/i915/i915_drv.h b/drivers/gpu/drm/i915/i915_drv.h
index 453af7438e67..5b4cd1dfd787 100644
--- a/drivers/gpu/drm/i915/i915_drv.h
+++ b/drivers/gpu/drm/i915/i915_drv.h
@@ -2593,6 +2593,7 @@ static inline unsigned int i915_sg_segment_size(void)
 
 static inline bool intel_vtd_active(void)
 {
+       return true;
 #ifdef CONFIG_INTEL_IOMMU
        if (intel_iommu_gfx_mapped)
                return true;
Comment 12 olaf 2019-03-01 07:54:07 UTC
Yes, enforcing "intel_iommu_gfx_mapped" helps.
Comment 13 olaf 2019-03-01 07:55:27 UTC
Created attachment 143509 [details]
dmesg-5.0.321-bko109099-drm-tip.txt.xz

drm-tip: 2019y-02m-28d-23h-15m-49s UTC
Comment 14 Lakshmi 2019-07-19 10:10:32 UTC
(In reply to Ville Syrjala from comment #11)
> I don't see anything about vt-d in the boot log, but I'm tempted to blame it
> anyway.
> 
> You could try something like this:
> 
> diff --git a/drivers/gpu/drm/i915/i915_drv.h
> b/drivers/gpu/drm/i915/i915_drv.h
> index 453af7438e67..5b4cd1dfd787 100644
> --- a/drivers/gpu/drm/i915/i915_drv.h
> +++ b/drivers/gpu/drm/i915/i915_drv.h
> @@ -2593,6 +2593,7 @@ static inline unsigned int i915_sg_segment_size(void)
>  
>  static inline bool intel_vtd_active(void)
>  {
> +       return true;
>  #ifdef CONFIG_INTEL_IOMMU
>         if (intel_iommu_gfx_mapped)
>                 return true;

(In reply to olaf from comment #12)
> Yes, enforcing "intel_iommu_gfx_mapped" helps.

@Ville, what are the next steps here?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.